Package org.eclipse.emf.cdo.server.db.mapping

# Interface IMappingStrategyBatchingSupport

public interface IMappingStrategyBatchingSupport
Optional bulk-write extension for `IMappingStrategy`.

A strategy implementing this interface receives one complete DBStore write phase. It may partition the work among class mappings. Implementations that do not provide this extension retain the existing single-item behavior.

Since:
  4.15
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`writeRevisionDeltas(IDBStoreAccessor accessor, InternalCDORevisionDelta[] deltas, long created, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Writes a group of revision deltas belonging to one DBStore write phase.
`void`
`writeRevisions(IDBStoreAccessor accessor, InternalCDORevision[] revisions, boolean firstRevision, boolean revise, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Writes a group of revisions belonging to one DBStore write phase.

## Method Details

### writeRevisions

void writeRevisions(IDBStoreAccessor accessor, InternalCDORevision[] revisions, boolean firstRevision, boolean revise, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)
Writes a group of revisions belonging to one DBStore write phase.

### writeRevisionDeltas

void writeRevisionDeltas(IDBStoreAccessor accessor, InternalCDORevisionDelta[] deltas, long created, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)
Writes a group of revision deltas belonging to one DBStore write phase.